"use strict";
var core_1 = require('@angular/core');
var translate_1 = require('./translate');
/**
 * @private
 * The Translate pipe makes it easy to translate strings.
 *
 * @usage
 * Translate using the current language or language set through Translate.setLanguage
 * {{ 'Please enter your location' | translate }}
 *
 * Translate using a specific language
 * {{ 'Please enter your location' | translate:"de" }}
 */
var TranslatePipe = (function () {
    function TranslatePipe(translate) {
        this.translate = {};
        this.translate = translate;
    }
    TranslatePipe.prototype.transform = function (value, args) {
        var lang;
        if (args.length > 0) {
            lang = args[0];
        }
        return this.translate.translate(value, lang);
    };
    TranslatePipe.prototype.supports = function (obj) { return true; };
    TranslatePipe.decorators = [
        { type: core_1.Pipe, args: [{ name: 'translate' },] },
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    TranslatePipe.ctorParameters = [
        { type: translate_1.Translate, },
    ];
    return TranslatePipe;
}());
exports.TranslatePipe = TranslatePipe;
